
Redmine - Defect #8366

Gantt Version Ordering

2011-05-13 06:13 - Jeffrey Jones

Status: Closed Start date: 2011-05-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

I am not currently sure how versions are ordered on the Gantt chart for each project but it doesn't appear to make much sense

because I have versions with start dates (start date of earliest issue) next year appearing above one with start dates next month

which rather breaks the flow.

Would it be possible to either

A) Order versions for each project on the Gantt in order of earliest issue start date with earlier versions at the top (blank/nil at the

end)

B) Allow uses to define a start date manually in the project settings tab and just order based on that.

C) Allow users to order versions arbitrarily in the project settings tab.

Related issues:

Related to Redmine - Patch #12730: Fix sorting and PDF output of Gantt diagra... New

Is duplicate of Redmine - Defect #7335: Sorting issues in gantt by date, not ... Closed 2011-01-15

History

#1 - 2011-05-13 06:15 - Jeffrey Jones

Just figured it out I think. It appears to currently order them by the earliest issue ID for each version. Again a date based ordering would make more

sense.

#2 - 2013-01-05 09:25 - Tobias Droste

- File Change-Gantt-default-sorting-to-start_date-instead-of-id.patch added

Attached is patch that orders issues by their start date and versions by their due date (seems to me the most sensible thing to do)

#3 - 2013-03-31 08:55 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

I close this issue as duplicate with #7335 because #7335 has more discussions.

Files

Change-Gantt-default-sorting-to-start_date-instead-of-id.patch 1.63 KB 2013-01-05 Tobias Droste
